# TokyoTyrantQuery::rewind

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrantQuery::rewind — Rewinds the iterator

### Description

public TokyoTyrantQuery::rewind ( void ) : bool

Rewind the resultset and executes the query if it has not been executed. Part of the Iterator interface.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE`

### Examples

Example #1 TokyoTyrantQuery iterator example

`<?php
/* Connect to a table database */
$tt = new TokyoTyrantTable("localhost", 1979);
/* Add rows */
$tt->put(null, array("column1" => "some data", "column2" => "something here"));
$tt->put(null, array("column1" => "more data", "column2" => "best data this far"));
$tt->put(null, array("column1" => "again data", "column3" => "foobar here"));
$tt->put(null, array("column45" => "random data", "column2" => "something along the lines"));
$tt->put(null, array("column21" => "test data", "column2" => "generating.."));
$tt->put(null, array("column1" => "foobar data", "column2" => "value here"));
/* Get a new query object */
$query = $tt->getQuery();
/* Add a search condition */
$query->addCond("column2", TokyoTyrant::RDBQC_STROR, "something");
/* Iterate the results */
foreach ($query as $key => $value) {
echo "pk: $key, columns: ", count($value) ,"\n";
}
?>`

The above example will output something similar to:

    pk: 1, columns: 2
    pk: 4, columns: 2

### See Also

- TokyoTyrantQuery::addCond() - Adds a condition to the query